## org.w3c.jigsaw.https.socket
Class SSLSocketClientFactory

    java.lang.Object
      |
      +--org.w3c.jigsaw.http.socket.SocketClientFactory
            |
            +--org.w3c.jigsaw.https.socket.SSLSocketClientFactory

public class SSLSocketClientFactory
extends SocketClientFactory

Field Summary
`static java.lang.String` `KEYSTORE_PASSWORD_S` property key for the system keystore password
`static java.lang.String` `KEYSTORE_PATH_S` property key for the system keystore path
`static java.lang.String` `PROTOCOL_HANDLER_S` property key for the system protocol package lookup
`static java.lang.String` `TRUSTSTORE_PASSWORD_S` property key for the system keystore password
`static java.lang.String` `TRUSTSTORE_PATH_S` property key for the system truststore path

Fields inherited from class org.w3c.jigsaw.http.socket.SocketClientFactory
`AVG_DEAD, AVG_HIGH, AVG_LIGHT, AVG_NORMAL, BINDADDR_P, IDLETO, IDLETO_P, MAXCLIENTS, MAXCLIENTS_P, MAXSPARE_FREE, MAXSPARE_FREE_P, MAXSPARE_IDLE, MAXSPARE_IDLE_P, MAXTHREADS, MAXTHREADS_P, MINSPARE_FREE, MINSPARE_FREE_P`

Constructor Summary
`SSLSocketClientFactory()`

Method Summary
`protected SocketClient` `createClient(httpd server, SocketClientState state)` Factory for creating a new client for this pool.
`java.net.ServerSocket` `createServerSocket()` factory method for creating a secure server socket
`void` `initialize(httpd server)` method for intializing this factory
`boolean` `propertyChanged(java.lang.String name)` method for handling a dynamic property modification

Methods inherited from class org.w3c.jigsaw.http.socket.SocketClientFactory
`addClient, clientConnectionFinished, clientFinished, deleteClient, getHTMLStatus, handleConnection, idleClientRemove, killClients, killSomeClients, killSomeClients, notifyIdle, notifyUse, run, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROTOCOL_HANDLER_S

    public static final java.lang.String PROTOCOL_HANDLER_S

  property key for the system protocol package lookup

### KEYSTORE_PATH_S

    public static final java.lang.String KEYSTORE_PATH_S

  property key for the system keystore path

### KEYSTORE_PASSWORD_S

    public static final java.lang.String KEYSTORE_PASSWORD_S

  property key for the system keystore password

### TRUSTSTORE_PATH_S

    public static final java.lang.String TRUSTSTORE_PATH_S

  property key for the system truststore path

### TRUSTSTORE_PASSWORD_S

    public static final java.lang.String TRUSTSTORE_PASSWORD_S

  property key for the system keystore password

Constructor Detail

### SSLSocketClientFactory

    public SSLSocketClientFactory()

Method Detail

### createServerSocket

    public java.net.ServerSocket createServerSocket()
                                             throws java.io.IOException

  factory method for creating a secure server socket
  Overrides:
    createServerSocket in class SocketClientFactory
  Returns:
    a new server socket instance
  Throws:
    java.io.IOException - due to socket creation problems

### initialize

    public void initialize(httpd server)

  method for intializing this factory
  Overrides:
    initialize in class SocketClientFactory
  Parameters:
    `server` - the daemon of this factory

### propertyChanged

    public boolean propertyChanged(java.lang.String name)

  method for handling a dynamic property modification
  Overrides:
    propertyChanged in class SocketClientFactory
  Parameters:
    `name` - the name of the property modified
  Returns:
    true if and only if the modification has been handled successfully

### createClient

    protected SocketClient createClient(httpd server,
                                        SocketClientState state)

  Factory for creating a new client for this pool.
  Overrides:
    createClient in class SocketClientFactory
  Parameters:
    `server` - the target http daemon
    `state` - the client state holder
  Returns:
    a new socket client